<?php

/*
 * Html
 */

$html = '';
$cuenta = "";
$htmlfirmas = '';
$shtml = "";
$shtmlfirmas = "";
//$sep = ";";
$sep = sfConfig::get('app_separador'); //variable global para manejo del separador - se obtiene de variables del modulo en la configuracion en app.yml
$htmlReportes = sfConfig::get('app_htmlReportes'); //carpeta de lectura donde se almacena
$even_color_mov = true;

/*
 * variables de cabecera informe
 */

//cambiar tildes al ser html
if ($type == "csv") {
    $empresa = sfConfig::get('app_empresa');
} else {
    $empresa = sfConfig::get('app_empresa');
}

//titulo
$titulo = "INFORME DE REVELACIONES CONTABLES";

//fecha
$fecha = $nom_perIni . " de " . $vigIni . " - " . $nom_perFin . " de " . $vigFin;

/**
 * firmas
 */
$firmas = array();
//parametrizar firmas
//leer base de datos
//sentencia sql
$sql = <<<EOD
select * from CN_FIRMA fir
join CN_INFORME_FIRMA inf
on fir.ID_FIRMA = inf.ID_FIRMA
where fir.ACTIVO like '1%'
and fir.id_cia = $cia
and inf.COMANDO_INFORME = 'cb_balprunivaux_comp'
order by
fir.ORDEN,
fir.ID_FIRMA
EOD;
//ejecutar sql
$firmas = CN_TABLE::executeSQL($sql);

/*
 * tabla de firmas
 */
$htmlfirmas .= '<br><br><br><br><br><table width="100%">';
$shtmlfirmas .= "\n\n\n";

/*
 * recorrer el array de firmas
 */

//nombre
$htmlfirmas .= ' <tr>';
foreach ($firmas as $value) {
    $htmlfirmas .= '<td><b>' . strtoupper($value['nombre']) . '</b></td>';
    $shtmlfirmas .= strtoupper($value['nombre']) . $sep;
}
$htmlfirmas .= ' </tr>';
$shtmlfirmas .= "\n";

//cargo
$htmlfirmas .= ' <tr>';
foreach ($firmas as $value) {
    $htmlfirmas .= '<td>' . strtoupper($value['cargo']) . '</td>';
    $shtmlfirmas .= strtoupper($value['cargo']) . $sep;
}
$htmlfirmas .= ' </tr>';
$shtmlfirmas .= "\n";

//numero
$htmlfirmas .= ' <tr>';
foreach ($firmas as $value) {
    if ($value['numero'] != null) {
        $htmlfirmas .= '<td>T.P. ' . $value['numero'] . '</td>';
        $shtmlfirmas .= 'T.P. ' . strtoupper($value['numero']) . $sep;
    } else {
        $htmlfirmas .= '<td></td>';
    }
}
$htmlfirmas .= ' </tr>';
$shtmlfirmas .= "\n";

//anexo
$htmlfirmas .= ' <tr>';
foreach ($firmas as $value) {
    $htmlfirmas .= '<td>' . $value['anexo'] . '</td>';
    $shtmlfirmas .= strtoupper($value['anexo']) . $sep;
}
$htmlfirmas .= ' </tr>';
$shtmlfirmas .= "\n";

$htmlfirmas .= '</table>';

//echo $htmlfirmas;die();
//$html_excel
/*
 * impresion del html
 */
if ($type == "html") {
    $html .= '
  <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
  <html xmlns="http://www.w3.org/1999/xhtml">
  <head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

    <style type="text/css">
      table{
        /*font-family: "Lucida Sans Unicode", "Lucida Grande", Sans-Serif;*/
        font-size: 13px;
        /*margin: 5px;*/
        /*width: 880px;*/
        /*width: 100%;*/
        text-align: left;
        border-collapse: collapse;
       }
      </style>

  </head>
  <body>
  ';
}


/*
 * salida csv
 */

$scarpeta = "uploads"; //carpeta donde guardar el archivo.
//debe tener permisos 775 por lo menos

/*
 * se cambio extension a csv - 26092011
 */
$sfile = $scarpeta . "/tmp/InfRevelacionCotable" . date("d") . date("m") . date("Y") . ".csv"; //ruta del archivo a generar
$fp = fopen($sfile, "w");

$shtml .= "\n";
$shtml .= "Informe Revelaciones Contables" . $sep . "\n";
$shtml .= $fecha . $sep . "\n";
$shtml .= $sep . "\n";

/*
 * tamanos de celdas htmls y pdf
 */
//tabla de cuetas
$sizeCuenta1 = 6;
$sizeCuenta2 = 6;
$sizeCuenta3 = 8;
$sizeCuenta4 = 22;
$sizeCuenta5 = 10;
$sizeCuenta6 = 10;
$sizeCuenta10 = 10;
$sizeCuenta11 = 10;
$sizeCuenta8 = 8;
$sizeCuenta7 = 8;
$sizeCuenta9 = 50;
$sizeCuenta12 = 20;

$array_head = 7;
//Si hay movimientos
if (count($list_data) > 0) {


    /*
     * Tabla de cuentas
     */
    $html .= '<table border="1" width="750" cellpadding="3"><thead bgcolor="#CEE3F6">';
//fila cabecera cuentas
    $html .= '<tr bgcolor="#CEE3F6">
                <th align="center" width="' . $sizeCuenta1 . '%">Cuenta</th>
                <th align="center" width="' . $sizeCuenta2 . '%">Auxiliar</th>
                <th align="center" width="' . $sizeCuenta3 . '%">Tercero</th>
                <th align="center" width="' . $sizeCuenta4 . '%">Nombre Cuenta</th>
                <th align="center" width="' . $sizeCuenta5 . '%">Saldo ' . $nom_perIni . ' ' . $vigIni . '</th>
                <th align="center" width="' . $sizeCuenta10 . '%">Debito</th>
                <th align="center" width="' . $sizeCuenta11 . '%">Credito</th>
                <th align="center" width="' . $sizeCuenta6 . '%">Saldo ' . $nom_perFin . ' ' . $vigFin . '</th>
                <th align="center" width="' . $sizeCuenta8 . '%">Comparativo $</th>
                <th align="center" width="' . $sizeCuenta7 . '%">Comparativo %</th>
                <th align="center" width="' . $sizeCuenta12 . '%">Tipo Comprobante</th>
                <th align="center" width="' . $sizeCuenta9 . '%">Notas</th>
                </tr></thead><tbody>';


    $shtml .= "Cuenta" . $sep . "Auxiliar" . $sep . "Tercero" . $sep . "Nombre Cuenta" . $sep . "Saldo " . $nom_perIni . ' ' . $vigIni . $sep . "Saldo " . $nom_perFin . ' ' . $vigFin . $sep . "Comparativo $" . $sep . "Comparativo %" . $sep . "\n";

    //recorrer registros
    foreach ($list_data as $value_data) {

        //Cambio de color linea movimiento
        if ($even_color_mov) {
            $even_color_mov = false;
            $html .= '<tr bgcolor="#FFFFFF">';
        } else {
            $even_color_mov = true;
            $html .= '<tr bgcolor="#EFEFFB">';
        }


        $html .= '<td align="center" width="' . $sizeCuenta1 . '%">' . $value_data['cuenta'] . '</td>';
        if ($type == "excel") {
            if ($value_data['auxiliar'] != null) {
                $html .= '<td align="center" width="' . $sizeCuenta2 . '%">' . '\'' . $value_data['auxiliar'] . '</td>';
            } else {
                $html .= '<td align="center" width="' . $sizeCuenta2 . '%">' . '' . $value_data['auxiliar'] . '</td>';
            }
        } else {
            $html .= '<td align="center" width="' . $sizeCuenta2 . '%">' . $value_data['auxiliar'] . '</td>';
        }
        $html .= '<td align="left" width="' . $sizeCuenta3 . '%">' . $value_data['tercero'] . '</td>';
        $html .= '<td align="left" width="' . $sizeCuenta4 . '%">' . $value_data['nombre_cuenta'] . '</td>';
        $html .= '<td align="right" width="' . $sizeCuenta5 . '%">' . number_format($value_data['saldo_anterior'], 2, ',', '.') . '</td>';
        $html .= '<td align="right" width="' . $sizeCuenta10 . '%">' . number_format($value_data['debito'], 2, ',', '.') . '</td>';
        $html .= '<td align="right" width="' . $sizeCuenta11 . '%">' . number_format($value_data['credito'], 2, ',', '.') . '</td>';
        $html .= '<td align="right" width="' . $sizeCuenta6 . '%">' . number_format($value_data['saldo_actual2'], 2, ',', '.') . '</td>';
        $html .= '<td align="right" width="' . $sizeCuenta8 . '%">' . number_format($value_data['variacion'], 2, ',', '.') . ' </td>';
        $html .= '<td align="right" width="' . $sizeCuenta7 . '%">' . number_format($value_data['porcentaje'], 2, ',', '.') . ' %</td>';
        $html .= '<td align="left" width="' . $sizeCuenta12 . '%">' . $value_data['tipo_comprobante'] . ' </td>';
        $html .= '<td align="left" width="' . $sizeCuenta9 . '%">' . $value_data['observaciones'] . ' </td>';
        $html .= '</tr>';

        $shtml .= " " . $value_data['cuenta'] . $sep;
        $shtml .= " " . $value_data['auxiliar'] . $sep;
        $shtml .= " " . $value_data['tercero'] . $sep;
        $shtml .= $value_data['nombre_cuenta'] . $sep;
        $shtml .= $value_data['saldo_anterior'] . $sep;
        $shtml .= $value_data['debito'] . $sep;
        $shtml .= $value_data['credito'] . $sep;
        $shtml .= $value_data['saldo_actual2'] . $sep;
        $shtml .= $value_data['variacion'] . $sep;
        $shtml .= $value_data['porcentaje'] . $sep;
        $shtml .= $value_data['tipo_comprobante'] . $sep;
        $shtml .= $value_data['observaciones'] . $sep;
        $shtml .= "\n";
    }//fin foreach datos

    $html .= '</tbody></table>';
    $html .= '<br>';
}

/**
 * archivo CSV
 */
$shtml .= "\n";
$shtml .= $shtmlfirmas;
fwrite($fp, $shtml);
fclose($fp);


$html .= '</body>';
$html .= '</html>';

/*
 * impresion del html
 */
if ($type == "html") {

    //anexo firmas
//    $html.=$htmlfirmas;

    echo $html;
}
/*
 * salida csv
 */
if ($type == "csv") {

    echo "<script>
                window.location='" . "/" . $htmlReportes . "/web/" . $sfile . "'
                </script>";
}

/**
 * Salida en excel, pdf  - 20160209
 */
if ($type == "excel" || $type == "pdf") {
    /*
     * PDF
     */
    if ($type == "pdf") {

        $pdf = new CDPDF('P', 'mm', 'letter');
        $pdf->SetFont('Times', 'B', 8);
        $pdf->SetFillColor(255);
        $pdf->SetTextColor(0);
        $pdf->SetMargins('4', '4');
//        $pdf->setUsuario("usuario");
//    $pdf->setEncabezado(4);
        $pdf->setTitulo($titulo);
        $pdf->setEmpresa($empresa);
        $pdf->setFechaContab(strtoupper($fecha));
//        $pdf->setCifras($cifras);
        $pdf->AddPage();
        $pdf->SetFont('Times', '', 6);


        //$htmlfirmas=$html.'<br><br><br><br><br><table width="100%"> <tr><td><b>OSCAR ELADIO PAREDES ZAPATA</b></td> </tr> <tr><td>DIRECTOR GENERAL</td> </tr> <tr><td></td> </tr> <tr><td>(Adjunto certificacion) </td> </tr></table>';

        $html .= $htmlfirmas;

        /*
         * prueba
         */
//    $html='
//<table border="1" width="750" cellpadding="3"><tr bgcolor="#81BEF7">
//                <th width="10%">Cuenta</th>
//                <th width="50%">Nombre Cuenta</th>
//                <th width="15%">Saldo</th>
//                </tr><tr bgcolor="#EFEFFB"><td>1</td><td>ACTIVO</td><td></td></tr><tr><td>16</td><td>PROPIEDADES PLANTA Y EQUIPO</td><td></td></tr><tr bgcolor="#EFEFFB"><td>1637</td><td>PROPIEDADES, PLANTA Y EQUIPO NO EXPLOTADOS</td><td></td></tr><tr><td>163707</td><td>MAQUINARIA Y EQUIPO</td><td align="right">0,00</td></tr></table>';
//    echo $html;    die();
        $pdf->writeHTML($html);

//    //$pdf->writeHTML($html_firmas);
        $pdf->Output('Balprunivaux_comp' . date("d") . date("m") . date("Y") . '.pdf', 'D');

        die(); //fin PDF
    } elseif ($type == "excel") {
        //cabecera excel
        header('Content-type: application/vnd.ms-excel; charset=UTF-8;');
        header("Content-Disposition: attachment; filename=InformeRevelacionesContables" . date("d") . date("m") . date("Y") . ".xls");
        header("Pragma: no-cache");
        header("Expires: 0");

        $html_excel = '<html><head>
              <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
              <TITLE>' . $empresa . '</TITLE>
              </head><body>';

        $html_excel = "<br>";


        $html_excel .= '<table width="100%">
                        <tr>
                            <td align="center" colspan="' . $array_head . '"><b>' . $empresa . '<b></td>
                        </tr>
                        <tr>
                            <td align="center" colspan="' . $array_head . '"><b>' . $titulo . '<b></td>
                        </tr>
                        <tr>
                            <td align="center" colspan="' . $array_head . '"><b>' . $fecha . '<b></td>
                        </tr>
                        <tr>
                            <td align="center" colspan="' . $array_head . '"><b>' . $revelacion . '<b></td>
                        </tr>
                        <tr>
                            <td align="center" colspan="' . $array_head . '">' . $cifras . '</td>
                        </tr>
                        </table>';
        $html_excel .= "<br><br>";


        $html_excel .= $html;

        $html_excel .= $htmlfirmas;

        $html_excel .= "</body>";
        $html_excel .= "</html>";

        echo utf8_decode($html_excel);
    }
}
die();
?>